function out1 = kin_xyzbc_tt_inverse_angle(in1,in2)
%KIN_XYZBC_TT_INVERSE_ANGLE
%    OUT1 = KIN_XYZBC_TT_INVERSE_ANGLE(IN1,IN2)

%    This function was generated by the Symbolic Math Toolbox version 9.1.
%    07-Nov-2023 14:54:30

%Inverse Kinematics ( compute the machine's angles )  : 
%INPUTS : 
%	tool_p (3x1) : Tool vector( piece frame )
%	p      (3x5) : parameters
%OUTPUTS : 
%	angles (2x1) : Machine angles ( B, C )
%#codegen
tool1 = in1(1,:);
tool2 = in1(2,:);
tool3 = in1(3,:);
out1 = [atan2(-tool1,tool1.*tool3.*1.0./sqrt(tool1.^2+tool2.^2));atan2(-tool2,tool1)];
